<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE  mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.engine.organization.mapper.trigger.HrmResourceTriggerMapper">

    <select id="getHrmResource" resultType="weaver.hrm.passwordprotection.domain.HrmResource">
        select id, workcode, lastname, status, messagerurl, jobtitle
        from hrmresource
        where id = #{id}
    </select>
    <select id="getCusFieldDataById" resultType="com.alibaba.fastjson.JSONObject">
        select field100002, field100008, field100007
        from cus_fielddata
        where scope = 'HrmCustomFieldByInfoType'
          and scopeid = 3
          and id = #{fObjId}
    </select>
</mapper>